<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (version 1.7.0_79) on Thu Jun 23 07:55:03 CEST 2016 -->
<title>model</title>
<meta name="date" content="2016-06-23">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="model";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../controler/package-summary.html">Prev Package</a></li>
<li><a href="../test/package-summary.html">Next Package</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?model/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;model</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="packageSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../model/GameRule.html" title="class in model">GameRule</a></td>
<td class="colLast">
<div class="block">The Class GameRule.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../model/GameRuleOnline.html" title="class in model">GameRuleOnline</a></td>
<td class="colLast">
<div class="block">The Class GameRuleOnline.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../model/IA.html" title="class in model">IA</a></td>
<td class="colLast">
<div class="block">The Class IA.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../model/Map.html" title="class in model">Map</a></td>
<td class="colLast">
<div class="block">The Class Map.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../model/Pattern.html" title="class in model">Pattern</a></td>
<td class="colLast">
<div class="block">The Class Pattern.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../model/Piece.html" title="class in model">Piece</a></td>
<td class="colLast">
<div class="block">The Class Piece represent the different piece possible with the blokus.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../model/Player.html" title="class in model">Player</a></td>
<td class="colLast">
<div class="block">The Class Player represent and store the characteristic of a player.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../model/PlayerOnline.html" title="class in model">PlayerOnline</a></td>
<td class="colLast">
<div class="block">The Class PlayerOnline is used for the onlineGmae, it have the particularity to have a Id.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../model/Position.html" title="class in model">Position</a></td>
<td class="colLast">
<div class="block">The Class Position is explicit, this class is a landmark used in a lot of board.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../model/ServeurBlokus.html" title="class in model">ServeurBlokus</a></td>
<td class="colLast">
<div class="block">This class start the main socket and launch the serverPlayer with the players.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../model/ServeurPlayer.html" title="class in model">ServeurPlayer</a></td>
<td class="colLast">
<div class="block">This class is the manager of the gameRule on a online game.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../controler/package-summary.html">Prev Package</a></li>
<li><a href="../test/package-summary.html">Next Package</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?model/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
